Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4802)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4803)
@@ -1449,24 +1448,22 @@
        ENDIF
 !
-!--    Initialization of the canopy heat source distribution due to heating
-!--    of the canopy layers by incoming solar radiation, in case that a non-zero
-!--    value is set for the canopy top heat flux (cthf), which equals the
-!--    available net radiation at canopy top.
-!--    The heat source distribution is calculated by a decaying exponential 
-!--    function of the downward cumulative leaf area index (cum_lai_hf), 
-!--    assuming that the foliage inside the plant canopy is heated by solar
-!--    radiation penetrating the canopy layers according to the distribution
-!--    of net radiation as suggested by Brown & Covey (1966; Agric. Meteorol. 3, 
-!--    73â96). This approach has been applied e.g. by Shaw & Schumann (1992;
-!--    Bound.-Layer Meteorol. 61, 47â64).
-!--    When using the radiation_interactions, canopy heating (pcm_heating_rate)
-!--    and plant canopy transpiration (pcm_transpiration_rate, pcm_latent_rate)
-!--    are calculated in the RTM after the calculation of radiation.
+!--    Initialization of the canopy heat source distribution due to heating of the canopy layers by
+!--    incoming solar radiation, in case that a non-zero
+!--    value is set for the canopy top heat flux (cthf), which equals the available net radiation at
+!--    canopy top.
+!--    The heat source distribution is calculated by a decaying exponential function of the downward
+!--    cumulative leaf area index (cum_lai_hf), assuming that the foliage inside the plant canopy is
+!--    heated by solar radiation penetrating the canopy layers according to the distribution of net
+!--    radiation as suggested by Brown & Covey (1966; Agric. Meteorol. 3, 73â96). This approach has
+!--    been applied e.g. by Shaw & Schumann (1992; Bound.-Layer Meteorol. 61, 47â64).
+!--    When using the radiation_interactions, canopy heating (pcm_heating_rate) and plant canopy
+!--    transpiration (pcm_transpiration_rate, pcm_latent_rate) are calculated in the RTM after the
+!--    calculation of radiation.
        IF ( cthf /= 0.0_wp )  THEN
 
           ALLOCATE( cum_lai_hf(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
 !
-!--       Piecewise calculation of the cumulative leaf area index by vertical
-!--       integration of the leaf area density
+!--       Piecewise calculation of the cumulative leaf area index by vertical integration of the
+!--       leaf area density
           cum_lai_hf(:,:,:) = 0.0_wp
           DO  i = nxlg, nxrg
@@ -1474,21 +1471,21 @@
                 DO  k = pch_index_ji(j,i)-1, 0, -1
                    IF ( k == pch_index_ji(j,i)-1 )  THEN
-                      cum_lai_hf(k,j,i) = cum_lai_hf(k+1,j,i) +                &
-                         ( 0.5_wp * lad_s(k+1,j,i) *                           &
-                           ( zw(k+1) - zu(k+1) ) )  +                          &
-                         ( 0.5_wp * ( 0.5_wp * ( lad_s(k+1,j,i) +              &
-                                                 lad_s(k,j,i) ) +              &
-                                      lad_s(k+1,j,i) ) *                       &
-                           ( zu(k+1) - zw(k) ) ) 
+                      cum_lai_hf(k,j,i) = cum_lai_hf(k+1,j,i) +                                    &
+                                          ( 0.5_wp * lad_s(k+1,j,i) *                              &
+                                            ( zw(k+1) - zu(k+1) ) )  +                             &
+                                          ( 0.5_wp * ( 0.5_wp * ( lad_s(k+1,j,i) +                 &
+                                                                  lad_s(k,j,i) ) +                 &
+                                                       lad_s(k+1,j,i) ) *                          &
+                                            ( zu(k+1) - zw(k) ) )
                    ELSE
-                      cum_lai_hf(k,j,i) = cum_lai_hf(k+1,j,i) +                &
-                         ( 0.5_wp * ( 0.5_wp * ( lad_s(k+2,j,i) +              &
-                                                 lad_s(k+1,j,i) ) +            &
-                                      lad_s(k+1,j,i) ) *                       &
-                           ( zw(k+1) - zu(k+1) ) )  +                          &
-                         ( 0.5_wp * ( 0.5_wp * ( lad_s(k+1,j,i) +              &
-                                                 lad_s(k,j,i) ) +              &
-                                      lad_s(k+1,j,i) ) *                       &
-                           ( zu(k+1) - zw(k) ) )
+                      cum_lai_hf(k,j,i) = cum_lai_hf(k+1,j,i) +                                    &
+                                          ( 0.5_wp * ( 0.5_wp * ( lad_s(k+2,j,i) +                 &
+                                                                  lad_s(k+1,j,i) ) +               &
+                                                       lad_s(k+1,j,i) ) *                          &
+                                            ( zw(k+1) - zu(k+1) ) )  +                             &
+                                          ( 0.5_wp * ( 0.5_wp * ( lad_s(k+1,j,i) +                 &
+                                                                  lad_s(k,j,i) ) +                 &
+                                                       lad_s(k+1,j,i) ) *                          &
+                                            ( zu(k+1) - zw(k) ) )
                    ENDIF
                 ENDDO
@@ -1497,12 +1494,12 @@
 
 !
-!--       In areas with canopy the surface value of the canopy heat 
-!--       flux distribution overrides the surface heat flux (shf) 
+!--       In areas with canopy the surface value of the canopy heat flux distribution overrides the
+!--       surface heat flux (shf),
 !--       Start with default surface type
           DO  m = 1, surf_def_h(0)%ns
              i = surf_def_h(0)%i(m)
              j = surf_def_h(0)%j(m)
-             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                &
-                surf_def_h(0)%shf(m) = cthf * exp( -ext_coef * cum_lai_hf(0,j,i) )
+             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                                    &
+                surf_def_h(0)%shf(m) = cthf * EXP( -ext_coef * cum_lai_hf(0,j,i) )
           ENDDO
 !
@@ -1511,6 +1508,6 @@
              i = surf_lsm_h(0)%i(m)
              j = surf_lsm_h(0)%j(m)
-             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                &
-                surf_lsm_h(0)%shf(m) = cthf * exp( -ext_coef * cum_lai_hf(0,j,i) )
+             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                                    &
+                surf_lsm_h(0)%shf(m) = cthf * EXP( -ext_coef * cum_lai_hf(0,j,i) )
           ENDDO
 !
@@ -1519,23 +1516,21 @@
              i = surf_usm_h(0)%i(m)
              j = surf_usm_h(0)%j(m)
-             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                &
-                surf_usm_h(0)%shf(m) = cthf * exp( -ext_coef * cum_lai_hf(0,j,i) )
+             IF ( cum_lai_hf(0,j,i) /= 0.0_wp )                                                    &
+                surf_usm_h(0)%shf(m) = cthf * EXP( -ext_coef * cum_lai_hf(0,j,i) )
           ENDDO
 !
 !
-!--       Calculation of the heating rate (K/s) within the different layers of 
-!--       the plant canopy. Calculation is only necessary in areas covered with
-!--       canopy. 
-!--       Within the different canopy layers the plant-canopy heating
-!--       rate (pcm_heating_rate) is calculated as the vertical 
-!--       divergence of the canopy heat fluxes at the top and bottom
-!--       of the respective layer
+!--       Calculation of the heating rate (K/s) within the different layers of the plant canopy.
+!--       Calculation is only necessary in areas covered with canopy.
+!--       Within the different canopy layers the plant-canopy heating rate (pcm_heating_rate) is
+!--       calculated as the vertical divergence of the canopy heat fluxes at the top and bottom of
+!--       the respective layer.
           DO  i = nxlg, nxrg
              DO  j = nysg, nyng
                 DO  k = 1, pch_index_ji(j,i)
                    IF ( cum_lai_hf(0,j,i) /= 0.0_wp )  THEN
-                      pcm_heating_rate(k,j,i) = cthf *                          &
-                                ( exp(-ext_coef*cum_lai_hf(k,j,i)) -           &
-                                  exp(-ext_coef*cum_lai_hf(k-1,j,i) ) ) / dzw(k)
+                      pcm_heating_rate(k,j,i) = cthf *                                             &
+                                                ( EXP( -ext_coef * cum_lai_hf(k,j,i) ) -           &
+                                                  EXP( -ext_coef * cum_lai_hf(k-1,j,i) ) ) / dzw(k)
                    ENDIF
                 ENDDO
@@ -1550,33 +1545,42 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Parin for &plant_canopy_parameters for plant canopy model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_parin
 
-       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file 
-       
-       NAMELIST /plant_canopy_parameters/                                      &
-                                  alpha_lad, beta_lad, canopy_drag_coeff,      &
-                                  canopy_mode, cthf,                           &
-                                  lad_surface, lad_type_coef,                  & 
-                                  lad_vertical_gradient,                       &
-                                  lad_vertical_gradient_level,                 &
-                                  lai_beta,                                    &
-                                  leaf_scalar_exch_coeff,                      &
-                                  leaf_surface_conc, pch_index,                &
-                                  plant_canopy_transpiration
-
-       NAMELIST /canopy_par/      alpha_lad, beta_lad, canopy_drag_coeff,      &
-                                  canopy_mode, cthf,                           &
-                                  lad_surface, lad_type_coef,                  & 
-                                  lad_vertical_gradient,                       &
-                                  lad_vertical_gradient_level,                 &
-                                  lai_beta,                                    &
-                                  leaf_scalar_exch_coeff,                      &
-                                  leaf_surface_conc, pch_index,                &
-                                  plant_canopy_transpiration
+       CHARACTER (LEN=80) ::  line  !< dummy string that contains the current line of the parameter file
+
+       NAMELIST /plant_canopy_parameters/  alpha_lad,                                              &
+                                           beta_lad,                                               &
+                                           canopy_drag_coeff,                                      &
+                                           canopy_mode,                                            &
+                                           cthf,                                                   &
+                                           lad_surface,                                            &
+                                           lad_type_coef,                                          &
+                                           lad_vertical_gradient,                                  &
+                                           lad_vertical_gradient_level,                            &
+                                           lai_beta,                                               &
+                                           leaf_scalar_exch_coeff,                                 &
+                                           leaf_surface_conc,                                      &
+                                           pch_index,                                              &
+                                           plant_canopy_transpiration
+
+       NAMELIST /canopy_par/               alpha_lad,                                              &
+                                           beta_lad,                                               &
+                                           canopy_drag_coeff,                                      &
+                                           canopy_mode,                                            &
+                                           cthf,                                                   &
+                                           lad_surface,                                            &
+                                           lad_type_coef,                                          &
+                                           lad_vertical_gradient,                                  &
+                                           lad_vertical_gradient_level,                            &
+                                           lai_beta,                                               &
+                                           leaf_scalar_exch_coeff,                                 &
+                                           leaf_surface_conc,                                      &
+                                           pch_index,                                              &
+                                           plant_canopy_transpiration
 
        line = ' '
@@ -1584,14 +1588,14 @@
 !
 !--    Try to find plant-canopy model package
-       REWIND ( 11 )
+       REWIND( 11 )
        line = ' '
        DO WHILE ( INDEX( line, '&plant_canopy_parameters' ) == 0 )
-          READ ( 11, '(A)', END=12 )  line
+          READ( 11, '(A)', END=12 )  line
        ENDDO
-       BACKSPACE ( 11 )
+       BACKSPACE( 11 )
 
 !
 !--    Read user-defined namelist
-       READ ( 11, plant_canopy_parameters, ERR = 10 )
+       READ( 11, plant_canopy_parameters, ERR = 10 )
 
 !
@@ -1606,18 +1610,18 @@
 !
 !--    Try to find old namelist
- 12    REWIND ( 11 )
+ 12    REWIND( 11 )
        line = ' '
        DO WHILE ( INDEX( line, '&canopy_par' ) == 0 )
-          READ ( 11, '(A)', END=14 )  line
+          READ( 11, '(A)', END=14 )  line
        ENDDO
-       BACKSPACE ( 11 )
+       BACKSPACE( 11 )
 
 !
 !--    Read user-defined namelist
-       READ ( 11, canopy_par, ERR = 13, END = 14 )
-
-       message_string = 'namelist canopy_par is deprecated and will be ' // &
-                     'removed in near future. Please use namelist ' //      &
-                     'plant_canopy_parameters instead'
+       READ( 11, canopy_par, ERR = 13, END = 14 )
+
+       message_string = 'namelist canopy_par is deprecated and will be ' //                        &
+                        'removed in near future. Please use namelist ' //                          &
+                        'plant_canopy_parameters instead'
        CALL message( 'pcm_parin', 'PA0487', 0, 1, 0, 6, 0 )
 
@@ -1637,5 +1641,5 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
@@ -1649,27 +1653,27 @@
 !> ...
 !>
-!> i.e. first line determines number of levels and further lines represent plant
-!> canopy data, one line per column and variable. In each data line,
-!> dtype represents variable to be set:
+!> i.e. first line determines number of levels and further lines represent plant canopy data, one
+!> line per column and variable. In each data line, dtype represents variable to be set:
 !>
 !> dtype=1: leaf area density (lad_s)
 !> dtype=2....n: some additional plant canopy input data quantity
 !>
-!> Zeros are added automatically above num_levels until top of domain.  Any
-!> non-specified (x,y) columns have zero values as default.
-!------------------------------------------------------------------------------!
+!> Zeros are added automatically above num_levels until top of domain. Any non-specified (x,y)
+!> columns have zero values as default.
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_read_plant_canopy_3d
 
-       USE exchange_horiz_mod,                                                    &
+       USE exchange_horiz_mod,                                                                     &
            ONLY:  exchange_horiz
 
-       INTEGER(iwp)                        ::  dtype     !< type of input data (1=lad)
-       INTEGER(iwp)                        ::  pctype    !< type of plant canopy (deciduous,non-deciduous,...)
-       INTEGER(iwp)                        ::  i, j      !< running index
-       INTEGER(iwp)                        ::  nzp       !< number of vertical layers of plant canopy
-       INTEGER(iwp)                        ::  nzpltop   !<
-       INTEGER(iwp)                        ::  nzpl      !<
-       INTEGER(iwp)                        ::  kk        !<
-       
+       INTEGER(iwp) ::  dtype     !< type of input data (1=lad)
+       INTEGER(iwp) ::  i         !< running index
+       INTEGER(iwp) ::  j         !< running index
+       INTEGER(iwp) ::  kk        !<
+       INTEGER(iwp) ::  nzp       !< number of vertical layers of plant canopy
+       INTEGER(iwp) ::  nzpltop   !<
+       INTEGER(iwp) ::  nzpl      !<
+       INTEGER(iwp) ::  pctype    !< type of plant canopy (deciduous,non-deciduous,...)
+
        REAL(wp), DIMENSION(:), ALLOCATABLE ::  col   !< vertical column of input data
 
@@ -1677,11 +1681,10 @@
 !--    Initialize lad_s array
        lad_s = 0.0_wp
-       
+
 !
 !--    Open and read plant canopy input data
-       OPEN(152, FILE='PLANT_CANOPY_DATA_3D' // TRIM( coupling_char ),         &
-                 ACCESS='SEQUENTIAL', ACTION='READ', STATUS='OLD',             &
-                 FORM='FORMATTED', ERR=515)
-       READ(152, *, ERR=516, END=517)  nzp   !< read first line = number of vertical layers
+       OPEN( 152, FILE='PLANT_CANOPY_DATA_3D' // TRIM( coupling_char ), ACCESS='SEQUENTIAL',       &
+                  ACTION='READ', STATUS='OLD', FORM='FORMATTED', ERR=515 )
+       READ( 152, *, ERR=516, END=517 )  nzp   !< read first line = number of vertical layers
        nzpltop = MIN(nzt+1, nzb+nzp-1)
        nzpl = nzpltop - nzb + 1    !< no. of layers to assign
@@ -1689,17 +1692,16 @@
 
        DO
-          READ(152, *, ERR=516, END=517) dtype, i, j, pctype, col(:)
+          READ( 152, *, ERR=516, END=517 ) dtype, i, j, pctype, col(:)
           IF ( i < nxlg  .OR.  i > nxrg  .OR.  j < nysg  .OR.  j > nyng )  CYCLE
-          
-          SELECT CASE (dtype)
+
+          SELECT CASE ( dtype )
              CASE( 1 )   !< leaf area density
 !
-!--             This is just the pure canopy layer assumed to be grounded to
-!--             a flat domain surface. At locations where plant canopy sits 
-!--             on top of any kind of topography, the vertical plant column 
-!--             must be "lifted", which is done in SUBROUTINE pcm_tendency.           
+!--             This is just the pure canopy layer assumed to be grounded to a flat domain surface.
+!--             At locations where plant canopy sits on top of any kind of topography, the vertical
+!--             plant column must be "lifted", which is done in SUBROUTINE pcm_tendency.
                 IF ( pctype < 0  .OR.  pctype > 10 )  THEN   !< incorrect plant canopy type
-                   WRITE( message_string, * ) 'Incorrect type of plant canopy. '   //  &
-                                              'Allowed values 0 <= pctype <= 10, ' //  &
+                   WRITE( message_string, * ) 'Incorrect type of plant canopy. '   //              &
+                                              'Allowed values 0 <= pctype <= 10, ' //              &
                                               'but pctype is ', pctype
                    CALL message( 'pcm_read_plant_canopy_3d', 'PA0349', 1, 2, 0, 6, 0 )
@@ -1708,5 +1710,5 @@
                 lad_s(nzb:nzpltop-kk, j, i) = col(kk:nzpl-1)*lad_type_coef(pctype)
              CASE DEFAULT
-                WRITE(message_string, '(a,i2,a)')   &
+                WRITE( message_string, '(a,i2,a)' )                                                &
                      'Unknown record type in file PLANT_CANOPY_DATA_3D: "', dtype, '"'
                 CALL message( 'pcm_read_plant_canopy_3d', 'PA0530', 1, 2, 0, 6, 0 )
@@ -1720,19 +1722,20 @@
        CALL message( 'pcm_read_plant_canopy_3d', 'PA0532', 1, 2, 0, 6, 0 )
 
-517    CLOSE(152)
+517    CLOSE( 152 )
        DEALLOCATE( col )
-       
+
        CALL exchange_horiz( lad_s, nbgp )
-        
+
     END SUBROUTINE pcm_read_plant_canopy_3d
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_rrd_global_ftn( found )
 
-       LOGICAL, INTENT(OUT)  ::  found
+       LOGICAL, INTENT(OUT) ::  found
+
 
        found = .TRUE.
@@ -1741,5 +1744,5 @@
 
           CASE ( 'pch_index' )
-             READ ( 13 )  pch_index
+             READ( 13 )  pch_index
 
           CASE DEFAULT
@@ -1751,9 +1754,9 @@
     END SUBROUTINE pcm_rrd_global_ftn
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_rrd_global_mpi
 
@@ -1763,34 +1766,34 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
-    SUBROUTINE pcm_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,          &
-                                  nxr_on_file, nynf, nync, nyn_on_file, nysf,      &
-                                  nysc, nys_on_file, found )
-
-       INTEGER(iwp) ::  k               !< 
-       INTEGER(iwp) ::  nxlc            !< 
-       INTEGER(iwp) ::  nxlf            !< 
-       INTEGER(iwp) ::  nxl_on_file     !< 
-       INTEGER(iwp) ::  nxrc            !< 
-       INTEGER(iwp) ::  nxrf            !< 
-       INTEGER(iwp) ::  nxr_on_file     !< 
-       INTEGER(iwp) ::  nync            !< 
-       INTEGER(iwp) ::  nynf            !< 
-       INTEGER(iwp) ::  nyn_on_file     !< 
-       INTEGER(iwp) ::  nysc            !< 
-       INTEGER(iwp) ::  nysf            !< 
-       INTEGER(iwp) ::  nys_on_file     !< 
-
-       LOGICAL, INTENT(OUT)  :: found
-
-       REAL(wp), DIMENSION(0:pch_index,                                        &
-                           nys_on_file-nbgp:nyn_on_file+nbgp,                  &
-                           nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d2  !< temporary 3D array for entire vertical 
-                                                                          !< extension of canopy layer
+!--------------------------------------------------------------------------------------------------!
+    SUBROUTINE pcm_rrd_local_ftn( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc, nxr_on_file, nynf, nync, &
+                                  nyn_on_file, nysf, nysc, nys_on_file, found )
+
+       INTEGER(iwp) ::  k               !<
+       INTEGER(iwp) ::  nxl_on_file     !<
+       INTEGER(iwp) ::  nxlc            !<
+       INTEGER(iwp) ::  nxlf            !<
+       INTEGER(iwp) ::  nxr_on_file     !<
+       INTEGER(iwp) ::  nxrc            !<
+       INTEGER(iwp) ::  nxrf            !<
+       INTEGER(iwp) ::  nyn_on_file     !<
+       INTEGER(iwp) ::  nync            !<
+       INTEGER(iwp) ::  nynf            !<
+       INTEGER(iwp) ::  nys_on_file     !<
+       INTEGER(iwp) ::  nysc            !<
+       INTEGER(iwp) ::  nysf            !<
+
+       LOGICAL, INTENT(OUT) ::  found
+
+       REAL(wp), DIMENSION( 0:pch_index,                                                           &
+                            nys_on_file-nbgp:nyn_on_file+nbgp,                                     &
+                            nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d2  !< temporary 3D array for entire vertical
+                                                                           !< extension of canopy layer
        found = .TRUE.
+
 
        SELECT CASE ( restart_string(1:length) )
@@ -1800,7 +1803,7 @@
                 ALLOCATE( pcm_heatrate_av(0:pch_index,nysg:nyng,nxlg:nxrg) )
                 pcm_heatrate_av = 0.0_wp
-             ENDIF  
-             IF ( k == 1 )  READ ( 13 )  tmp_3d2
-             pcm_heatrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+             ENDIF
+             IF ( k == 1 )  READ( 13 )  tmp_3d2
+             pcm_heatrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =                &
                         tmp_3d2(0:pch_index,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -1809,7 +1812,7 @@
                 ALLOCATE( pcm_latentrate_av(0:pch_index,nysg:nyng,nxlg:nxrg) )
                 pcm_latentrate_av = 0.0_wp
-             ENDIF  
-             IF ( k == 1 )  READ ( 13 )  tmp_3d2
-             pcm_latentrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+             ENDIF
+             IF ( k == 1 )  READ( 13 )  tmp_3d2
+             pcm_latentrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =              &
                         tmp_3d2(0:pch_index,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -1818,7 +1821,7 @@
                 ALLOCATE( pcm_transpirationrate_av(0:pch_index,nysg:nyng,nxlg:nxrg) )
                 pcm_transpirationrate_av = 0.0_wp
-             ENDIF  
-             IF ( k == 1 )  READ ( 13 )  tmp_3d2
-             pcm_transpirationrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
+             ENDIF
+             IF ( k == 1 )  READ( 13 )  tmp_3d2
+             pcm_transpirationrate_av(0:pch_index,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =       &
                         tmp_3d2(0:pch_index,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -1832,9 +1835,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_rrd_local_mpi
 
@@ -1885,28 +1888,26 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculation of the tendency terms, accounting for the effect of the plant
-!> canopy on momentum and scalar quantities.
+!> Calculation of the tendency terms, accounting for the effect of the plant canopy on momentum and
+!> scalar quantities.
 !>
-!> The canopy is located where the leaf area density lad_s(k,j,i) > 0.0 
-!> (defined on scalar grid), as initialized in subroutine pcm_init. 
-!> The lad on the w-grid is vertically interpolated from the surrounding
-!> lad_s. The upper boundary of the canopy is defined on the w-grid at 
-!> k = pch_index. Here, the lad is zero.
+!> The canopy is located where the leaf area density lad_s(k,j,i) > 0.0 (defined on scalar grid), as
+!> initialized in subroutine pcm_init.
+!> The lad on the w-grid is vertically interpolated from the surrounding lad_s. The upper boundary
+!> of the canopy is defined on the w-grid at k = pch_index. Here, the lad is zero.
 !>
-!> The canopy drag must be limited (previously accounted for by calculation of 
-!> a limiting canopy timestep for the determination of the maximum LES timestep
-!> in subroutine timestep), since it is physically impossible that the canopy
-!> drag alone can locally change the sign of a velocity component. This 
-!> limitation is realized by calculating preliminary tendencies and velocities.
-!> It is subsequently checked if the preliminary new velocity has a different
-!> sign than the current velocity. If so, the tendency is limited in a way that
-!> the velocity can at maximum be reduced to zero by the canopy drag. 
+!> The canopy drag must be limited (previously accounted for by calculation of a limiting canopy
+!> timestep for the determination of the maximum LES timestep in subroutine timestep), since it is
+!> physically impossible that the canopy drag alone can locally change the sign of a velocity
+!> component. This limitation is realized by calculating preliminary tendencies and velocities. It
+!> is subsequently checked if the preliminary new velocity has a different sign than the current
+!> velocity. If so, the tendency is limited in a way that the velocity can at maximum be reduced to
+!> zero by the canopy drag.
 !>
 !>
 !> Call for all grid points
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE pcm_tendency( component )
 
@@ -1926,11 +1927,11 @@
        REAL(wp) ::  lad_local !< local lad value
        REAL(wp) ::  pre_tend  !< preliminary tendency
-       REAL(wp) ::  pre_u     !< preliminary u-value 
-       REAL(wp) ::  pre_v     !< preliminary v-value 
-       REAL(wp) ::  pre_w     !< preliminary w-value 
+       REAL(wp) ::  pre_u     !< preliminary u-value
+       REAL(wp) ::  pre_v     !< preliminary v-value
+       REAL(wp) ::  pre_w     !< preliminary w-value
 
 
        ddt_3d = 1.0_wp / dt_3d
- 
+
 !
 !--    Compute drag for the three velocity components and the SGS-TKE:
